PamCut: CaloCrossCut Class Reference

# CaloCrossCut Class Reference

The calorimeter last plane cut. More...

`#include <CaloCrossCut.h>`

Inheritance diagram for CaloCrossCut:

List of all members.

## Public Member Functions
| CaloCrossCut (const char *cutName, CaloAxis *xCaloAxis, CaloAxis *yCaloAxis)
| Constructor.
| ~CaloCrossCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The calorimeter last plane check.
## Private Attributes
CaloAxis * | _xCaloAxis
CaloAxis * | _yCaloAxis

## Detailed Description

The calorimeter last plane cut.

Checks if the particle has crossed the last calorimeter plane. The current implementation uses the CaloAxis objects; to save computing time, the class assumes that the track is externally computed for each event and stored in CaloAxis objects; pointers to these objects are passed as arguments to the constructor. The Check method will then ignore the PamLevel2 *event and assume that the current content of the CaloAxis objects are relative to the current event. It is an user's task to ensure that these assumptions are fulfilled every time Check or ApplyCut are called.

CUT DEPENDENCIES: CaloTrackCut for the existence of the track (it can also provide the CaloAxis objects).

Definition at line 30 of file CaloCrossCut.h.

## Constructor & Destructor Documentation

CaloCrossCut::CaloCrossCut | ( | const char * | cutName,
|  | CaloAxis * | xCaloAxis,
|  | CaloAxis * | yCaloAxis |
| ) |  |  | `[inline]`

Constructor.

The CaloAxis arguments are pointers to objects which contain the calorimeter track information for current event.

Parameters:

  | cutName | The cut name.
  | xCaloAxis | The pointer to the CaloAxis object for X axis.
  | yCaloAxis | The pointer to the CaloAxis object for Y axis.

Definition at line 42 of file CaloCrossCut.h.

CaloCrossCut::~CaloCrossCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 46 of file CaloCrossCut.h.

## Member Function Documentation

int CaloCrossCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The calorimeter last plane check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if charge released in plane 22 is greater than 0 (from CaloAxis) for both X and Y

  0 otherwise

Implements PamCut.

Definition at line 12 of file CaloCrossCut.cpp.

References _xCaloAxis, _yCaloAxis, CUTOK, and CaloAxis::GetQ().

## Member Data Documentation

CaloAxis* CaloCrossCut::_xCaloAxis`[private]`

Definition at line 58 of file CaloCrossCut.h.

Referenced by Check().

CaloAxis * CaloCrossCut::_yCaloAxis`[private]`

Definition at line 58 of file CaloCrossCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- CaloCuts/CaloCrossCut/CaloCrossCut.h
- CaloCuts/CaloCrossCut/CaloCrossCut.cpp